{
	"parent":"deeperdarker:main/enter_otherside",
	"display":{
		"icon":{
			"item":"deeperdarker:warden_sword",
			"nbt":"{
				Damage:0
			}"
		},
		"title":{
			"translate":"advancements.deeperdarker.kill_all_sculk_mobs.title"
		},
		"description":{
			"translate":"advancements.deeperdarker.kill_all_sculk_mobs.description"
		},
		"frame":"challenge",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":false
	},
	"rewards":{
		"experience":100
	},
	"criteria":{
		"shattered":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:shattered"
					},
					"entity":"this"
				}]
			}
		},
		"phantom":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:phantom"
					},
					"entity":"this"
				}]
			}
		},
		"stalker":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:stalker"
					},
					"entity":"this"
				}]
			}
		},
		"shriek_worm":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:shriek_worm"
					},
					"entity":"this"
				}]
			}
		},
		"sculk_centipede":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:sculk_centipede"
					},
					"entity":"this"
				}]
			}
		},
		"sculk_leech":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:sculk_leech"
					},
					"entity":"this"
				}]
			}
		},
		"warden":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:warden"
					},
					"entity":"this"
				}]
			}
		},
		"sculk_snapper":{
			"trigger":"minecraft:player_killed_entity",
			"conditions":{
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"deeperdarker:sculk_snapper"
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"phantom"
		],
		[
			"warden"
		],
		[
			"sculk_centipede"
		],
		[
			"sculk_leech"
		],
		[
			"sculk_snapper"
		],
		[
			"shattered"
		],
		[
			"shriek_worm"
		],
		[
			"stalker"
		]
	],
	"sends_telemetry_event":true
}